Subject: bug#27761: Crash while using proof-general/company-coq on OS X

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 03 Aug 2017 17:36:49 +0900

>>>>> On Wed, 19 Jul 2017 15:20:28 -0400, Денис Редозубов <[email-masked]> said:

> I load this file(you can clone the repo)
> https://github.com/DeepSpec/dsss17/blob/master/Stlc/Lemmas.v in
> proof-general and company-coq, then I go the line 166
> https://github.com/DeepSpec/dsss17/blob/master/Stlc/Lemmas.v#L166, go the
> end of the line, do C-c C-RET, which is company-coq-proof-goto-point, then
> type `intuition`, C-h, crash.

Finally, I could reproduce the crash by this example with my own
installation of Coq, Proof General, and Company-Coq on macOS 10.12.
The recent post on gdb session implies it has something to do with the
string " 163" and overlays.  The key point to reproduce it was to turn
on linum-mode.  Without linum-mode, the above procedure did not crash.

				     YAMAMOTO Mitsuharu
				[email-masked]